<?php
    
    global $tpl;  

    switch( core::$i->method )
    {
        case 'save':
        
            if( empty( $_REQUEST['nazwa'] ) )
            {
                js::$i->setJSON(array(
                    'error' => l('Podaj nazwę')
                ));
            } 
            elseif( empty( $_REQUEST['password'] ) )
            {
                js::$i->setJSON(array(
                    'error' => l('Podaj hasło terapeuty')
                ));
            } 
            elseif( !db::$i->row("SELECT 1 FROM `user` WHERE `pass`='".( esc( user::pass_encoder( $_REQUEST['password'] ) ) )."' AND `mode`='therapist'") )
            {
                js::$i->setJSON(array(
                    'error' => l('Niepoprawne hasło terapeuty')
                ));
            } 
            elseif( empty( $_REQUEST['ProcesId'] ) or empty( $_REQUEST['temat_id'] ) )
            {
                js::$i->setJSON(array(
                    'error' => l('Nieoczekiwany błąd, odśwież stronę :(')
                ));
            } 
            else
            {
                
                if( alternatywy::add( array(
                    'nazwa' => esc( $_REQUEST['nazwa'] ),
                    'temat_id' => $_REQUEST['temat_id'],
                    'proces_id' => esc( $_REQUEST['ProcesId'] )
                ) ) )
                {
                    
                    $tpl->assign(array(
                        'ProcesId' => $_REQUEST['ProcesId']
                    ));
                    
                    js::$i->setJSON(array(   
                        'status' => true,
                        'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '_success.tpl' )
                    ));
                } 
                else 
                {
                    js::$i->setJSON(array(
                        'error' => l('Nieoczekiwany błąd, spróbuj jeszcze raz.')
                    ));
                }
                
            }
        

        break;
        
        default:
        
            $tpl->assign(array(
                'ProcesId' => $_REQUEST['ProcesId'],
                'temat_id' => $_REQUEST['temat_id']
            ));
        
            js::$i->setJSON(array(   
                'status' => true,
                'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
            ));
        break;
    }

?>